Bug 72007 - A test for css parser number types problem.
Summary: A test for css parser number types problem.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 69083
  Show dependency treegraph
 
Reported: 2011-11-10 01:52 PST by Szilard Ledan
Modified: 2011-12-08 10:53 PST (History)
3 users (show)

See Also:


Attachments
A test for CSS lexer rules, where the dimensions define like utf-8 code. (4.03 KB, patch)
2011-11-11 00:21 PST, Szilard Ledan
zherczeg: review-
Details | Formatted Diff | Diff
Updated patch (5.12 KB, patch)
2011-11-22 05:12 PST, Szilard Ledan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Szilard Ledan 2011-11-10 01:52:44 PST
The css number types (px, pt, cm, ...) can be specified escape sequences (px = \70\78,...).
Comment 1 Szilard Ledan 2011-11-11 00:21:52 PST
Created attachment 114637 [details]
A test for CSS lexer rules, where the dimensions define like utf-8 code.
Comment 2 Zoltan Herczeg 2011-11-11 00:34:48 PST
Please set r? to the patch.
Comment 3 Szilard Ledan 2011-11-11 00:42:58 PST
(In reply to comment #2)
> Please set r? to the patch.

Thanks!
Comment 4 Zoltan Herczeg 2011-11-21 00:15:56 PST
Comment on attachment 114637 [details]
A test for CSS lexer rules, where the dimensions define like utf-8 code.

View in context: https://bugs.webkit.org/attachment.cgi?id=114637&action=review

> LayoutTests/fast/css/parsing-css-number-types.html:13
> +#a { font-size: 16px; }
> +#b { font-size: 16\70\78; }
> +#c { font-size: 16\70x; }
> +#d { font-size: 16p\78; }
> +#e { font-size: 1em; }
> +#f { font-size: 1\65m; }
> +#g { font-size: 1\65\6D; }
> +#h { font-size: 1\65\6d; }
> +#i { font-size: 12pt }

Please add some uppercase / lowercase test here.
I.e: 12pT same as 12\70\54

Would be a good idea to add more number types (S, KhZ, gRaD). You can find them in tokenizer.flex grouped in one block (lines starting with {num}).
Comment 5 Szilard Ledan 2011-11-22 05:12:38 PST
Created attachment 116209 [details]
Updated patch
Comment 6 Zoltan Herczeg 2011-12-08 06:35:00 PST
Darin, what do you think of this patch?
Comment 7 WebKit Review Bot 2011-12-08 10:53:26 PST
Comment on attachment 116209 [details]
Updated patch

Clearing flags on attachment: 116209

Committed r102350: <http://trac.webkit.org/changeset/102350>
Comment 8 WebKit Review Bot 2011-12-08 10:53:31 PST
All reviewed patches have been landed.  Closing bug.